EvSitemap
==============

Introduction
--------------

Super simple Sitemap generating CakePHP plugin.

**Converted to Composer, June 2015**


Features
--------------

Takes advantage of the CakePHP model behaviour allowing Sitemaps to be created for any model within your CakePHP project.


Installation
--------------

To install:
1. Copy the EvSitemap folder into the 'app/Plugin' directory

2. Add the following code to the 'app/Config/bootstrap.php' plugin load array.

	'EvSitemap' => array(
	    'bootstrap' => true,
	    'routes' => true
	)

3. If you require to overwrite any of the core configuration options add ev_sitemap.php to 'app/Config/Plugin'. The default plugin options can then be copied and updated here.

4. As default, the Sitemap will no be created until you add the behaviour to models you would like to show in the Sitemap

For example

	public $actsAs = array(
		...
		'EvSitemap.Sitemap' => array(
			'changefreq' => 'daily',
			'conditions' => array(),
			'lastmod' => 'modified',
			'loc' => 'buildUrl',
			'primaryKey' => 'id',
			'readPriority' => '0.8'
		)
	);

Add the following line to the robots.txt file, just amending the url to point to the xml version of the sitemap

Sitemap: http://www.domain.co.uk/sitemap.xml